# PulpRpmClient::RepositoriesRpmApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**add_role**](RepositoriesRpmApi.md#add_role) | **POST** {rpm_rpm_repository_href}add_role/ | Add a role
[**create**](RepositoriesRpmApi.md#create) | **POST** /pulp/api/v3/repositories/rpm/rpm/ | Create a rpm repository
[**delete**](RepositoriesRpmApi.md#delete) | **DELETE** {rpm_rpm_repository_href} | Delete a rpm repository
[**list**](RepositoriesRpmApi.md#list) | **GET** /pulp/api/v3/repositories/rpm/rpm/ | List rpm repositorys
[**list_roles**](RepositoriesRpmApi.md#list_roles) | **GET** {rpm_rpm_repository_href}list_roles/ | List roles
[**modify**](RepositoriesRpmApi.md#modify) | **POST** {rpm_rpm_repository_href}modify/ | Modify Repository Content
[**my_permissions**](RepositoriesRpmApi.md#my_permissions) | **GET** {rpm_rpm_repository_href}my_permissions/ | List user permissions
[**partial_update**](RepositoriesRpmApi.md#partial_update) | **PATCH** {rpm_rpm_repository_href} | Update a rpm repository
[**read**](RepositoriesRpmApi.md#read) | **GET** {rpm_rpm_repository_href} | Inspect a rpm repository
[**remove_role**](RepositoriesRpmApi.md#remove_role) | **POST** {rpm_rpm_repository_href}remove_role/ | Remove a role
[**set_label**](RepositoriesRpmApi.md#set_label) | **POST** {rpm_rpm_repository_href}set_label/ | Set a label
[**sync**](RepositoriesRpmApi.md#sync) | **POST** {rpm_rpm_repository_href}sync/ | Sync from remote
[**unset_label**](RepositoriesRpmApi.md#unset_label) | **POST** {rpm_rpm_repository_href}unset_label/ | Unset a label
[**update**](RepositoriesRpmApi.md#update) | **PUT** {rpm_rpm_repository_href} | Update a rpm repository



## add_role

> NestedRoleResponse add_role(rpm_rpm_repository_href, nested_role)

Add a role

Add a role for this object to users/groups.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
nested_role = PulpRpmClient::NestedRole.new # NestedRole | 

begin
  #Add a role
  result = api_instance.add_role(rpm_rpm_repository_href, nested_role)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->add_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## create

> RpmRpmRepositoryResponse create(rpm_rpm_repository)

Create a rpm repository

A ViewSet for RpmRepository.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository = PulpRpmClient::RpmRpmRepository.new # RpmRpmRepository | 

begin
  #Create a rpm repository
  result = api_instance.create(rpm_rpm_repository)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository** | [**RpmRpmRepository**](RpmRpmRepository.md)|  | 

### Return type

[**RpmRpmRepositoryResponse**](RpmRpmRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(rpm_rpm_repository_href)

Delete a rpm repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 

begin
  #Delete a rpm repository
  result = api_instance.delete(rpm_rpm_repository_href)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedrpmRpmRepositoryResponseList list(opts)

List rpm repositorys

A ViewSet for RpmRepository.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
opts = {
  latest_with_content: 'latest_with_content_example', # String | Content Unit referenced by HREF
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | Filter results where name matches value
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__iexact: 'name__iexact_example', # String | Filter results where name matches value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__iregex: 'name__iregex_example', # String | Filter results where name matches regex value
  name__istartswith: 'name__istartswith_example', # String | Filter results where name starts with value
  name__regex: 'name__regex_example', # String | Filter results where name matches regex value
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: ['ordering_example'], # Array<String> | Ordering  * `pulp_id` - Pulp id * `-pulp_id` - Pulp id (descending) * `pulp_created` - Pulp created * `-pulp_created` - Pulp created (descending) * `pulp_last_updated` - Pulp last updated * `-pulp_last_updated` - Pulp last updated (descending) * `pulp_type` - Pulp type * `-pulp_type` - Pulp type (descending) * `name` - Name * `-name` - Name (descending) * `pulp_labels` - Pulp labels * `-pulp_labels` - Pulp labels (descending) * `description` - Description * `-description` - Description (descending) * `next_version` - Next version * `-next_version` - Next version (descending) * `retain_repo_versions` - Retain repo versions * `-retain_repo_versions` - Retain repo versions (descending) * `user_hidden` - User hidden * `-user_hidden` - User hidden (descending) * `pk` - Pk * `-pk` - Pk (descending)
  pulp_href__in: ['pulp_href__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_id__in: ['pulp_id__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_label_select: 'pulp_label_select_example', # String | Filter labels by search string
  q: 'q_example', # String | 
  remote: 'remote_example', # String | Foreign Key referenced by HREF
  retain_repo_versions: 56, # Integer | Filter results where retain_repo_versions matches value
  retain_repo_versions__gt: 56, # Integer | Filter results where retain_repo_versions is greater than value
  retain_repo_versions__gte: 56, # Integer | Filter results where retain_repo_versions is greater than or equal to value
  retain_repo_versions__isnull: true, # Boolean | Filter results where retain_repo_versions has a null value
  retain_repo_versions__lt: 56, # Integer | Filter results where retain_repo_versions is less than value
  retain_repo_versions__lte: 56, # Integer | Filter results where retain_repo_versions is less than or equal to value
  retain_repo_versions__ne: 56, # Integer | Filter results where retain_repo_versions not equal to value
  retain_repo_versions__range: [56], # Array<Integer> | Filter results where retain_repo_versions is between two comma separated values
  with_content: 'with_content_example', # String | Content Unit referenced by HREF
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List rpm repositorys
  result = api_instance.list(opts)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latest_with_content** | **String**| Content Unit referenced by HREF | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| Filter results where name matches value | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__iexact** | **String**| Filter results where name matches value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__iregex** | **String**| Filter results where name matches regex value | [optional] 
 **name__istartswith** | **String**| Filter results where name starts with value | [optional] 
 **name__regex** | **String**| Filter results where name matches regex value | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | [**Array&lt;String&gt;**](String.md)| Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;pulp_labels&#x60; - Pulp labels * &#x60;-pulp_labels&#x60; - Pulp labels (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;next_version&#x60; - Next version * &#x60;-next_version&#x60; - Next version (descending) * &#x60;retain_repo_versions&#x60; - Retain repo versions * &#x60;-retain_repo_versions&#x60; - Retain repo versions (descending) * &#x60;user_hidden&#x60; - User hidden * &#x60;-user_hidden&#x60; - User hidden (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending) | [optional] 
 **pulp_href__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_id__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_label_select** | **String**| Filter labels by search string | [optional] 
 **q** | **String**|  | [optional] 
 **remote** | [**String**](.md)| Foreign Key referenced by HREF | [optional] 
 **retain_repo_versions** | **Integer**| Filter results where retain_repo_versions matches value | [optional] 
 **retain_repo_versions__gt** | **Integer**| Filter results where retain_repo_versions is greater than value | [optional] 
 **retain_repo_versions__gte** | **Integer**| Filter results where retain_repo_versions is greater than or equal to value | [optional] 
 **retain_repo_versions__isnull** | **Boolean**| Filter results where retain_repo_versions has a null value | [optional] 
 **retain_repo_versions__lt** | **Integer**| Filter results where retain_repo_versions is less than value | [optional] 
 **retain_repo_versions__lte** | **Integer**| Filter results where retain_repo_versions is less than or equal to value | [optional] 
 **retain_repo_versions__ne** | **Integer**| Filter results where retain_repo_versions not equal to value | [optional] 
 **retain_repo_versions__range** | [**Array&lt;Integer&gt;**](Integer.md)| Filter results where retain_repo_versions is between two comma separated values | [optional] 
 **with_content** | **String**| Content Unit referenced by HREF | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedrpmRpmRepositoryResponseList**](PaginatedrpmRpmRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_roles

> ObjectRolesResponse list_roles(rpm_rpm_repository_href, opts)

List roles

List roles assigned to this object.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List roles
  result = api_instance.list_roles(rpm_rpm_repository_href, opts)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->list_roles: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**ObjectRolesResponse**](ObjectRolesResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## modify

> AsyncOperationResponse modify(rpm_rpm_repository_href, repository_add_remove_content)

Modify Repository Content

Trigger an asynchronous task to create a new repository version.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
repository_add_remove_content = PulpRpmClient::RepositoryAddRemoveContent.new # RepositoryAddRemoveContent | 

begin
  #Modify Repository Content
  result = api_instance.modify(rpm_rpm_repository_href, repository_add_remove_content)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->modify: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **repository_add_remove_content** | [**RepositoryAddRemoveContent**](RepositoryAddRemoveContent.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## my_permissions

> MyPermissionsResponse my_permissions(rpm_rpm_repository_href, opts)

List user permissions

List permissions available to the current user on this object.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List user permissions
  result = api_instance.my_permissions(rpm_rpm_repository_href, opts)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->my_permissions: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**MyPermissionsResponse**](MyPermissionsResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(rpm_rpm_repository_href, patchedrpm_rpm_repository)

Update a rpm repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
patchedrpm_rpm_repository = PulpRpmClient::PatchedrpmRpmRepository.new # PatchedrpmRpmRepository | 

begin
  #Update a rpm repository
  result = api_instance.partial_update(rpm_rpm_repository_href, patchedrpm_rpm_repository)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **patchedrpm_rpm_repository** | [**PatchedrpmRpmRepository**](PatchedrpmRpmRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> RpmRpmRepositoryResponse read(rpm_rpm_repository_href, opts)

Inspect a rpm repository

A ViewSet for RpmRepository.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #Inspect a rpm repository
  result = api_instance.read(rpm_rpm_repository_href, opts)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**RpmRpmRepositoryResponse**](RpmRpmRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## remove_role

> NestedRoleResponse remove_role(rpm_rpm_repository_href, nested_role)

Remove a role

Remove a role for this object from users/groups.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
nested_role = PulpRpmClient::NestedRole.new # NestedRole | 

begin
  #Remove a role
  result = api_instance.remove_role(rpm_rpm_repository_href, nested_role)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->remove_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## set_label

> SetLabelResponse set_label(rpm_rpm_repository_href, set_label)

Set a label

Set a single pulp_label on the object to a specific value or null.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
set_label = PulpRpmClient::SetLabel.new # SetLabel | 

begin
  #Set a label
  result = api_instance.set_label(rpm_rpm_repository_href, set_label)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->set_label: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **set_label** | [**SetLabel**](SetLabel.md)|  | 

### Return type

[**SetLabelResponse**](SetLabelResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## sync

> AsyncOperationResponse sync(rpm_rpm_repository_href, rpm_repository_sync_url)

Sync from remote

Trigger an asynchronous task to sync RPM content.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
rpm_repository_sync_url = PulpRpmClient::RpmRepositorySyncURL.new # RpmRepositorySyncURL | 

begin
  #Sync from remote
  result = api_instance.sync(rpm_rpm_repository_href, rpm_repository_sync_url)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->sync: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **rpm_repository_sync_url** | [**RpmRepositorySyncURL**](RpmRepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## unset_label

> UnsetLabelResponse unset_label(rpm_rpm_repository_href, unset_label)

Unset a label

Unset a single pulp_label on the object.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
unset_label = PulpRpmClient::UnsetLabel.new # UnsetLabel | 

begin
  #Unset a label
  result = api_instance.unset_label(rpm_rpm_repository_href, unset_label)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->unset_label: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **unset_label** | [**UnsetLabel**](UnsetLabel.md)|  | 

### Return type

[**UnsetLabelResponse**](UnsetLabelResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> AsyncOperationResponse update(rpm_rpm_repository_href, rpm_rpm_repository)

Update a rpm repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
rpm_rpm_repository = PulpRpmClient::RpmRpmRepository.new # RpmRpmRepository | 

begin
  #Update a rpm repository
  result = api_instance.update(rpm_rpm_repository_href, rpm_rpm_repository)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **rpm_rpm_repository** | [**RpmRpmRepository**](RpmRpmRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

