# PulpRpmClient::RpmCompsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**rpm_comps_upload**](RpmCompsApi.md#rpm_comps_upload) | **POST** /pulp/api/v3/rpm/comps/ | Upload comps.xml



## rpm_comps_upload

> AsyncOperationResponse rpm_comps_upload(file, opts)

Upload comps.xml

Trigger an asynchronous task to upload a comps.xml file.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RpmCompsApi.new
file = File.new('/path/to/file') # File | Full path of a comps.xml file that may be parsed into comps.xml Content units.
opts = {
  repository: 'repository_example', # String | URI of an RPM repository the comps.xml content units should be associated to.
  replace: true # Boolean | If true, incoming comps.xml replaces existing comps-related ContentUnits in the specified repository.
}

begin
  #Upload comps.xml
  result = api_instance.rpm_comps_upload(file, opts)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RpmCompsApi->rpm_comps_upload: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file** | **File**| Full path of a comps.xml file that may be parsed into comps.xml Content units. | 
 **repository** | **String**| URI of an RPM repository the comps.xml content units should be associated to. | [optional] 
 **replace** | **Boolean**| If true, incoming comps.xml replaces existing comps-related ContentUnits in the specified repository. | [optional] 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: multipart/form-data, application/x-www-form-urlencoded
- **Accept**: application/json

