# PulpRpmClient::RpmRepositorySyncURL

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**remote** | **String** | A remote to sync from. This will override a remote set on repository. | [optional] 
**mirror** | **Boolean** | DEPRECATED: If &#x60;&#x60;True&#x60;&#x60;, &#x60;&#x60;sync_policy&#x60;&#x60; will default to &#39;mirror_complete&#39; instead of &#39;additive&#39;. | [optional] 
**sync_policy** | [**SyncPolicyEnum**](SyncPolicyEnum.md) | Options: &#39;additive&#39;, &#39;mirror_complete&#39;, &#39;mirror_content_only&#39;. Default: &#39;additive&#39;. Modifies how the sync is performed. &#39;mirror_complete&#39; will clone the original metadata and create an automatic publication from it, but comes with some limitations and does not work for certain repositories. &#39;mirror_content_only&#39; will change the repository contents to match the remote but the metadata will be regenerated and will not be bit-for-bit identical. &#39;additive&#39; will retain the existing contents of the repository and add the contents of the repository being synced.  * &#x60;additive&#x60; - additive * &#x60;mirror_complete&#x60; - mirror_complete * &#x60;mirror_content_only&#x60; - mirror_content_only | [optional] 
**skip_types** | [**Array&lt;SkipTypesEnum&gt;**](SkipTypesEnum.md) | List of content types to skip during sync. | [optional] 
**optimize** | **Boolean** | Whether or not to optimize sync. | [optional] [default to true]

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmRepositorySyncURL.new(remote: null,
                                 mirror: null,
                                 sync_policy: null,
                                 skip_types: null,
                                 optimize: null)
```


