=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpRpmClient::ContentPackagesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ContentPackagesApi' do
  before do
    # run before each test
    @api_instance = PulpRpmClient::ContentPackagesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ContentPackagesApi' do
    it 'should create an instance of ContentPackagesApi' do
      expect(@api_instance).to be_instance_of(PulpRpmClient::ContentPackagesApi)
    end
  end

  # unit tests for create
  # Create a package
  # Trigger an asynchronous task to create content,optionally create new repository version.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :repository A URI of a repository the new content unit should be associated with.
  # @option opts [String] :artifact Artifact file representing the physical content
  # @option opts [String] :relative_path Path where the artifact is located relative to distributions base_path
  # @option opts [File] :file An uploaded file that may be turned into the content unit.
  # @option opts [String] :upload An uncommitted upload that may be turned into the content unit.
  # @return [AsyncOperationResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List packages
  # A ViewSet for Package.  Define endpoint name which will appear in the API endpoint for this content type. For example::     http://pulp.example.com/pulp/api/v3/content/rpm/packages/  Also specify queryset and serializer for Package.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :arch Filter results where arch matches value
  # @option opts [String] :arch__contains Filter results where arch contains value
  # @option opts [Array<String>] :arch__in Filter results where arch is in a comma-separated list of values
  # @option opts [String] :arch__ne Filter results where arch not equal to value
  # @option opts [String] :arch__startswith Filter results where arch starts with value
  # @option opts [String] :checksum_type Filter results where checksum_type matches value  * &#x60;unknown&#x60; - unknown * &#x60;md5&#x60; - md5 * &#x60;sha1&#x60; - sha1 * &#x60;sha1&#x60; - sha1 * &#x60;sha224&#x60; - sha224 * &#x60;sha256&#x60; - sha256 * &#x60;sha384&#x60; - sha384 * &#x60;sha512&#x60; - sha512
  # @option opts [Array<String>] :checksum_type__in Filter results where checksum_type is in a comma-separated list of values
  # @option opts [String] :checksum_type__ne Filter results where checksum_type not equal to value
  # @option opts [String] :epoch Filter results where epoch matches value
  # @option opts [Array<String>] :epoch__in Filter results where epoch is in a comma-separated list of values
  # @option opts [String] :epoch__ne Filter results where epoch not equal to value
  # @option opts [String] :filename 
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [String] :name Filter results where name matches value
  # @option opts [String] :name__contains Filter results where name contains value
  # @option opts [Array<String>] :name__in Filter results where name is in a comma-separated list of values
  # @option opts [String] :name__ne Filter results where name not equal to value
  # @option opts [String] :name__startswith Filter results where name starts with value
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Array<String>] :ordering Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;upstream_id&#x60; - Upstream id * &#x60;-upstream_id&#x60; - Upstream id (descending) * &#x60;timestamp_of_interest&#x60; - Timestamp of interest * &#x60;-timestamp_of_interest&#x60; - Timestamp of interest (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;epoch&#x60; - Epoch * &#x60;-epoch&#x60; - Epoch (descending) * &#x60;version&#x60; - Version * &#x60;-version&#x60; - Version (descending) * &#x60;release&#x60; - Release * &#x60;-release&#x60; - Release (descending) * &#x60;arch&#x60; - Arch * &#x60;-arch&#x60; - Arch (descending) * &#x60;evr&#x60; - Evr * &#x60;-evr&#x60; - Evr (descending) * &#x60;pkgId&#x60; - Pkgid * &#x60;-pkgId&#x60; - Pkgid (descending) * &#x60;checksum_type&#x60; - Checksum type * &#x60;-checksum_type&#x60; - Checksum type (descending) * &#x60;summary&#x60; - Summary * &#x60;-summary&#x60; - Summary (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;url&#x60; - Url * &#x60;-url&#x60; - Url (descending) * &#x60;changelogs&#x60; - Changelogs * &#x60;-changelogs&#x60; - Changelogs (descending) * &#x60;files&#x60; - Files * &#x60;-files&#x60; - Files (descending) * &#x60;requires&#x60; - Requires * &#x60;-requires&#x60; - Requires (descending) * &#x60;provides&#x60; - Provides * &#x60;-provides&#x60; - Provides (descending) * &#x60;conflicts&#x60; - Conflicts * &#x60;-conflicts&#x60; - Conflicts (descending) * &#x60;obsoletes&#x60; - Obsoletes * &#x60;-obsoletes&#x60; - Obsoletes (descending) * &#x60;suggests&#x60; - Suggests * &#x60;-suggests&#x60; - Suggests (descending) * &#x60;enhances&#x60; - Enhances * &#x60;-enhances&#x60; - Enhances (descending) * &#x60;recommends&#x60; - Recommends * &#x60;-recommends&#x60; - Recommends (descending) * &#x60;supplements&#x60; - Supplements * &#x60;-supplements&#x60; - Supplements (descending) * &#x60;location_base&#x60; - Location base * &#x60;-location_base&#x60; - Location base (descending) * &#x60;location_href&#x60; - Location href * &#x60;-location_href&#x60; - Location href (descending) * &#x60;rpm_buildhost&#x60; - Rpm buildhost * &#x60;-rpm_buildhost&#x60; - Rpm buildhost (descending) * &#x60;rpm_group&#x60; - Rpm group * &#x60;-rpm_group&#x60; - Rpm group (descending) * &#x60;rpm_license&#x60; - Rpm license * &#x60;-rpm_license&#x60; - Rpm license (descending) * &#x60;rpm_packager&#x60; - Rpm packager * &#x60;-rpm_packager&#x60; - Rpm packager (descending) * &#x60;rpm_sourcerpm&#x60; - Rpm sourcerpm * &#x60;-rpm_sourcerpm&#x60; - Rpm sourcerpm (descending) * &#x60;rpm_vendor&#x60; - Rpm vendor * &#x60;-rpm_vendor&#x60; - Rpm vendor (descending) * &#x60;rpm_header_start&#x60; - Rpm header start * &#x60;-rpm_header_start&#x60; - Rpm header start (descending) * &#x60;rpm_header_end&#x60; - Rpm header end * &#x60;-rpm_header_end&#x60; - Rpm header end (descending) * &#x60;size_archive&#x60; - Size archive * &#x60;-size_archive&#x60; - Size archive (descending) * &#x60;size_installed&#x60; - Size installed * &#x60;-size_installed&#x60; - Size installed (descending) * &#x60;size_package&#x60; - Size package * &#x60;-size_package&#x60; - Size package (descending) * &#x60;time_build&#x60; - Time build * &#x60;-time_build&#x60; - Time build (descending) * &#x60;time_file&#x60; - Time file * &#x60;-time_file&#x60; - Time file (descending) * &#x60;is_modular&#x60; - Is modular * &#x60;-is_modular&#x60; - Is modular (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending)
  # @option opts [Float] :orphaned_for Minutes Content has been orphaned for. -1 uses ORPHAN_PROTECTION_TIME.
  # @option opts [String] :pkg_id Filter results where pkgId matches value
  # @option opts [Array<String>] :pkg_id__in Filter results where pkgId is in a comma-separated list of values
  # @option opts [Array<String>] :pulp_href__in Multiple values may be separated by commas.
  # @option opts [Array<String>] :pulp_id__in Multiple values may be separated by commas.
  # @option opts [String] :q 
  # @option opts [String] :release Filter results where release matches value
  # @option opts [String] :release__contains Filter results where release contains value
  # @option opts [Array<String>] :release__in Filter results where release is in a comma-separated list of values
  # @option opts [String] :release__ne Filter results where release not equal to value
  # @option opts [String] :release__startswith Filter results where release starts with value
  # @option opts [String] :repository_version Repository Version referenced by HREF
  # @option opts [String] :repository_version_added Repository Version referenced by HREF
  # @option opts [String] :repository_version_removed Repository Version referenced by HREF
  # @option opts [String] :sha256 
  # @option opts [String] :version Filter results where version matches value
  # @option opts [Array<String>] :version__in Filter results where version is in a comma-separated list of values
  # @option opts [String] :version__ne Filter results where version not equal to value
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginatedrpmPackageResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect a package
  # A ViewSet for Package.  Define endpoint name which will appear in the API endpoint for this content type. For example::     http://pulp.example.com/pulp/api/v3/content/rpm/packages/  Also specify queryset and serializer for Package.
  # @param rpm_package_href 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [RpmPackageResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
